PHP-инклюдинг в Bradabra

Дата публикации:
23.01.2007
Всего просмотров:
943
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Bradabra 2.x
Уязвимые версии: Bradabra 2.0.5, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "includes_path" в сценарии include/includes.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/include/includes.php?include_path=[file]

URL производителя: sourceforge.net/projects/bradabra/

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA